Subject: Re: select() weirdness
From: Corinna Vinschen <[email-masked]>
To: chad fowler <[email-masked]>
Cc: [email-masked]
Date: Fri, 23 Nov 2001 14:08:19 +0100

On Wed, Nov 21, 2001 at 05:06:53AM -0800, chad fowler wrote:
> I'm a little confused about the behavior of select(). 
> It seems to behave differently in Cygwin than on other
> systems.  This is specifically regarding the exception
> fd_set when piping program output to another program. 
> Here's an example (which might have a problem or two
> but should demonstrate sufficiently):
> [...]
> Notice the "EXCEPT" lines.  AFAIK, the behavior on
> Cygwin is incorrect, though I'm *far* from being an
> expert.  

Thanks for the example!  I'm currently looking into the Cygwin
source and I have already found a small bug in the select() code
(though unrelated).  I think I have found the reason for what's
going on in your example but I'm still investigating.

Corinna

-- 
Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Developer                                mailto:[email-masked]
Red Hat, Inc.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/